### File

`packages/components/eui-button-group/eui-button-group.component.ts`

### Description

Component for grouping multiple buttons together with optional checkbox or radio button behavior.

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-button-group`
styleUrls | `./eui-button-group.scss`
template |
    <ng-content/>

### Index

###### Properties
buttons
###### Inputs
isCheckboxButtons isRadioButtons
###### Outputs
buttonClick
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isCheckboxButtons
Type : `boolean`
Default value : `false`
Whether the buttons should behave like checkboxes (multiple selection)

isRadioButtons
Type : `boolean`
Default value : `false`
Whether the buttons should behave like radio buttons (single selection)

### Outputs

buttonClick
Type : `EventEmitter<EuiButtonComponent>`
Event emitted when any button in the group is clicked Emits the clicked EuiButtonComponent instance

### HostBindings

class
Type : `string`
CSS classes applied to the host element

### Properties

buttons
Type : `QueryList<EuiButtonComponent>`
Decorators : `@ContentChildren(undefined)`
Query list of all EuiButtonComponent instances within the group

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element Returns : `string`

# results matching ""

# No results matching ""